XSLTProcessor::removeParameter
XSLTProcessor::setProfiling
XSLTProcessor
PHP Manual

# XSLTProcessor::setParameter

(PHP 5)

XSLTProcessor::setParameter — Définit la valeur d'un paramètre

### Description

XSLTProcessor
bool setParameter ( string `$namespace` , string `$name` , string `$value` )
XSLTProcessor
bool setParameter ( string `$namespace` , array `$options` )

Spécifie la valeur d'un ou plusieurs paramètres pour être utilisés dans une sous-séquence de transformation avec XSLTProcessor. Si le paramètre n'existe pas dans la feuille de style, il sera ignoré.

### Liste de paramètres

`namespace`

  L'URI de l'espace de noms du paramètre XSLT.

`name`

  Le nom local du paramètre XSLT.

`value`

  La nouvelle valeur du paramètre XSLT.

`options`

  Un tableau de paire nom => valeur. Cette syntaxe est disponible depuis PHP 5.1.0.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Exemples

Exemple #1 Modification du propriétaire avant la transformation

`<?php
$collections = array(
'Marc Rutkowski' => 'marc',
'Olivier Parmentier' => 'olivier'
);
$xsl = new DOMDocument;
$xsl->load('collection.xsl');
// Configure le transformateur
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // attachement des règles xsl
foreach ($collections as $name => $file) {
// Chargement de la source XML
$xml = new DOMDocument;
$xml->load('collection_' . $file . '.xml');
$proc->setParameter('', 'owner', $name);
$proc->transformToURI($xml, 'file:///tmp/' . $file . '.html');
}
?>`

### Voir aussi

- XSLTProcessor::getParameter() - Récupère la valeur d'un paramètre
- XSLTProcessor::removeParameter() - Efface un paramètre

XSLTProcessor::removeParameter
XSLTProcessor::setProfiling
XSLTProcessor
PHP Manual